Subject: [Monami6] Flow Filtering - Issue 2 - Filtering Criteria

From: "Asanga Udugama" <[email-masked]>
Date: Tue, 1 Nov 2005 07:01:08 +0100

Hello all,

Great !!!, to hear this news.

So, to begin the discussion I want to start a small discussion on one of
the issues, viz, "filtering criteria". Here are the points that I was
thinking.

At the moment, all 3 drafts only consider the IP & the transport header.

1 - But, IPv6 packets may contain many headers. Can we consider these
other headers (if present) to manage flows? For example, we can use the
Routing Header also to distribute flows at CN or some other. I remember
seeing in the IPv6 RFC that no other node in the middle of a
communication can look at anything other than IP, Hop by Hop and Routing
headers.

2 - If we are looking at the transport header, why not also look at the
payload (if not encrypted) also to distribute flows?

What do you think?

Kind regards,
Asanga

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On
Behalf
> Of Nicolas Montavont
> Sent: Monday, October 31, 2005 5:21 PM
> To: Monami6 WG
> Subject: [Monami6] flows/binding policies exchange
> 
> Folks,
> 
> After some private discussions, authors of the following drafts agree
> to work together to merge their work in order to fit to the 4th WG
> deliverable:
> 
>      - draft-soliman-flow-move (http://standards.ericsson.net/karim/
> draft-soliman-mobileip-flow-move-03.txt)
>      - draft-nomadv6-mobileip-filters (http://www.ietf.org/internet-
> drafts/draft-nomadv6-mobileip-filters-03.txt)
>      - draft-montavont-mobileip-ha-filtering (http://clarinet.u-
> strasbg.fr/~montavont/ietf/draft-montavont-mobileip-ha-filtering-
> v6-00.txt)
> 
> Here is a summary of the issues that these drafts try to address when
> we consider flow redirection (let's thank Koojana for this summary):
> 
> 1. Distribution of flows based on multiple flow distribution and
single
> flow distribution
> 
> 2. Criterias that have to be added to identify a flow for the
> distribution (Almost all the criterias are based on the filelds of the
> header details (as explained in the current drafts))
> 
> 3. How to  define those criteria (Fixed format /Flexible format)
> 
> 4. How to inform these criteria (Attached to the BU & BA messages)
> 
> 5. Should we include dropping a flow feature?
> 
> 6. Who should distribute the flows? HA and MAP, CN?
> 
> 7. Who should inform the criteria? MN?
> 
> In order to initiate discussion on these issues, feel free to comment
> each issue. Please write emails with subject line  "flow filtering -
> issue XX" to address your comment. We would like to gather results of
> the discussion for the Monami6 session.
> 
> Regards,
> the chairs.
> 
> _______________________________________________
> Monami6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/monami6

_______________________________________________
Monami6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/monami6

---

From: "Asanga Udugama" <[email-masked]>
Date: Thu, 3 Nov 2005 07:44:47 +0100

Hello all,

>From all these drafts, I get the feeling that you do not consider MN
will ever come to it's home network.

Look at this case,

What would a MN do if one of it's interfaces is connected to a foreign
network and one is in the home network. As far as I understand MIP will
not work as the HA cannot perform proxy ARPing in one case and NOT do
proxy ARPing in the other case.

I propose that we have some rule such as saying,

"When at least one interface of the MN comes to home network, all the
bindings related to other interfaces have to be deregistered." 

Please give your comments.

Thanks & kind regards,
Asanga

Behalf
single

---

From: Nicolas Montavont <[email-masked]>
Date: Thu, 3 Nov 2005 10:12:37 +0100

Hi Asanga,

> proxy ARPing in the other case.

Please note that Monami6 was chartered to work on IPv6 only. But you  
are right, the same issue appears with IPv6.

> bindings related to other interfaces have to be deregistered."

Your comment is relevant to a multihoming scenario. It was one of the  
issue we raised in draft-montavont-mobileip-pb-statement-05 (issue  
described in 6.2.3, simultaneous location in home and foreign  
networks). However, I don't think it is a specific issue related to  
flow movement. It is a generic issue linked to Mobile IPv6 spec.

Nicolas

---

From: "Niko A. Fikouras" <[email-masked]>
Date: Thu, 03 Nov 2005 12:29:55 +0200

Hi Asanga, hi all,

in your example you have not specified that the interfaces you are 
shareing the same home IP address, as different interfaces could be 
associated with different home IP addresses.
In any cases, as you have stated, a home IP address associated with an 
interface returning to the home network may not be used by other 
interfaces of the same MN.

Best Regards
niko

---

From: "Asanga Udugama" <[email-masked]>
Date: Thu, 3 Nov 2005 11:52:21 +0100

Hello Nicolas,

Behalf
> Of Nicolas Montavont
> Sent: Thursday, November 03, 2005 10:13 AM
> To: Monami6 WG
> Subject: Re: [Monami6] Flow Filtering - Issue 1 - Distribution of
Flows
> baedon ....

For sure, I was referring to IPv6 process of proxyARPing. Sorry for the
misunderstanding.

> flow movement. It is a generic issue linked to Mobile IPv6 spec.

Is it not relevant to both single- & multi-homing? 
It might not be directly related to flow management, but should we not
say what course of action to take when a situation such as this arises?
I mean, to mention clearly, what we do, either to keep the other
bindings in foreign networks or deregister all of them and consider only
the home interface or simply, the implementer can do as he/she wishes.

Kind regards,
Asanga

---

From: Nicolas Montavont <[email-masked]>
Date: Thu, 3 Nov 2005 12:29:06 +0100

Hi Niko and Asanga,

> Is it not relevant to both single- & multi-homing?

You can be multihomed with a single HoA. Please look at the  
definition in draft-montavont-mobileip-pb-statement-05, where it is  
stated that a MIP6 MN is multihomed when it has multiple CoAs and/or  
multiple HoAs.

As I understood this scenario, it is the case (1,n) in draft- 
montavont-mobileip-pb-statement-05.

> the home interface or simply, the implementer can do as he/she wishes.

You are right that some mechanisms/operations should be specified for  
this issue. Note that if you do RO, it might be possible to  
simultaneously use the interface connected to your home (with HoA)  
and others CoAs that are bound to your home address on distant CNs.

Nicolas

>>>> After some private discussions, authors of the following drafts
>>>>
> agree
>
>>>>      - draft-soliman-flow-move
>>>>
> (http://standards.ericsson.net/karim/
>
>>>>      - draft-nomadv6-mobileip-filters
>>>>
> (http://www.ietf.org/internet-
>
>>>> Here is a summary of the issues that these drafts try to address
>>>>
> when
>
>>>> we consider flow redirection (let's thank Koojana for this
>>>>
> summary):
>
>>>>
>>>> In order to initiate discussion on these issues, feel free to
>>>>
> comment
>
>>>> each issue. Please write emails with subject line  "flow filtering
>>>>
> -
>
>>>> issue XX" to address your comment. We would like to gather results
>>>>
> of
>

---

From: Ryuji Wakikawa <[email-masked]>
Date: Fri, 04 Nov 2005 00:52:38 +0900

Hello Asanga

Your scenario is investigated in the draft. 
Please check the appendix B ?!

thanks
ryuji

At Thu, 3 Nov 2005 07:44:47 +0100,

---

From: "Asanga Udugama" <[email-masked]>
Date: Fri, 4 Nov 2005 06:51:58 +0100

Hello Ryuji,

Yes, the multiple CoA draft clarifies this point very well. But the
following flow distribution drafts do not say anything about this; that
was my point.

draft-soliman-flow-move
(http://standards.ericsson.net/karim/draft-soliman-mobileip-flow-move-03
.txt)

draft-nomadv6-mobileip-filters
(http://www.ietf.org/internet-drafts/draft-nomadv6-mobileip-filters-03.t
xt)

draft-montavont-mobileip-ha-filtering
(http://clarinet.u-strasbg.fr/~montavont/ietf/draft-montavont-mobileip-h
a-filtering-v6-00.txt)

Flow distribution must state what course of action to take in a
situation such as this. 

Kind regards,
Asanga

> From: Ryuji Wakikawa [mailto:[email-masked]]
> Sent: Thursday, November 03, 2005 4:53 PM
> To: Asanga Udugama
> Cc: 'Monami6 WG'
Flows
> baed on ....
agree
when
comment
-
of

---

From: "Asanga Udugama" <[email-masked]>
Date: Fri, 4 Nov 2005 07:14:02 +0100

Just a addition....

So all the more reason to have just a single spec in flow distribution
and multiple CoAs.

Kind regards,
Asanga

Behalf
> Of Asanga Udugama
> Sent: Friday, November 04, 2005 6:52 AM
> To: 'Monami6 WG'
> Subject: RE: [Monami6] Flow Filtering - Issue 1 - Distribution of
Flows
> > > > distribution (Almost all the criterias are based on the filelds
of
> the

---

From: Thierry Ernst <[email-masked]>
Date: Mon, 7 Nov 2005 09:34:52 +0900

Dear Asanga,

Nobody yet replied to this enquiry. Let me attempt. First, as expressed
in the charter, the mechanism is limited to influence the choice of HoA
and CoA made at the HA or MH/MR. 

So, is what you are asking for really needed, and how much complexity
would it add ?

Regarding complexity, let's think about the nested NEMO case: sub-MR
would tunnel to HA-sub-MR which would in turn be tunnelled by root-MR to
HA-root-MR. 

Thierry.

On Tue, 1 Nov 2005 07:01:08 +0100
"Asanga Udugama" <[email-masked]> wrote:

> So, to begin the discussion I want to start a small discussion on one
> of the issues, viz, "filtering criteria". Here are the points that I
> was thinking.
> 
> other headers (if present) to manage flows? For example, we can use
> the Routing Header also to distribute flows at CN or some other. I
> remember seeing in the IPv6 RFC that no other node in the middle of a
> communication can look at anything other than IP, Hop by Hop and
> Routing headers.
> 
> 2 - If we are looking at the transport header, why not also look at
> the payload (if not encrypted) also to distribute flows?
> 
> What do you think?
> 
> Kind regards,
> Asanga
> 
> 
> 
> 
> > agree to work together to merge their work in order to fit to the
> > 4th WG deliverable:
> > 
> > when we consider flow redirection (let's thank Koojana for this
> > summary):
> > 
> > distribution (Almost all the criterias are based on the filelds of
> > the header details (as explained in the current drafts))
> > 
> > comment each issue. Please write emails with subject line  "flow
> > filtering - issue XX" to address your comment. We would like to
> > gather results of the discussion for the Monami6 session.
> > 
> > Regards,
> > the chairs.
> >

---

From: Thierry Ernst <[email-masked]>
Date: Tue, 8 Nov 2005 08:57:20 +0900

> So all the more reason to have just a single spec in flow distribution

A single document for both deliverables 3 & 4 as specified in the
charter ? Well, this is not how the charter has been negociated with the
IESG. I don't think the issue you described is enough to justify a
change in the decision we took.

Thierry

> > > > >From all these drafts, I get the feeling that you do not
> > > > >consider
> > MN
> > > > network and one is in the home network. As far as I understand
> > > > MIP
> > will
> > > > not work as the HA cannot perform proxy ARPing in one case and
> > > > NOT
> > do
> > > > "When at least one interface of the MN comes to home network,
> > > > all
> > the
> > > > > From: [email-masked]
> > > > > [mailto:[email-masked]]
> > On
> > > > Behalf
> > > > > Of Nicolas Montavont
> > > > > to work together to merge their work in order to fit to the
> > > > > 4th
> WG
> > > > > deliverable:
> > > > >